Gestiono
Referencia de APIResources / Resource

Create Resource price bulk

← Back to full API reference
POST/v1/resource/price/bulkAuth required

Resource endpoints let you create and maintain catalog items used across sales, purchasing, and inventory workflows.

  • Requires organization permissions for this resource.
  • Validated by Zod schema: postBulkPriceTier.

Request details

Body fields

FieldRequiredDescription
priceTiersYesType: arrayExample:
priceTiers[]YesType: object
priceTiers[].resourceIdNoType: number
priceTiers[].skuNoType: string
priceTiers[].variationYesType: string
priceTiers[].maxDiscountVariationNoType: string
priceTiers[].recurrencyNoType: enumExample: ONE_TIME
priceTiers[].minQuantityYesType: number
priceTiers[].applicableToLabelNoType: string
priceTiers[].applicableToAccountingLabelNoType: string
priceTiers[].expiresAtNoType: string
priceTiers[].usageLimitNoType: number
priceTiers[].usageLimitPerBeneficiaryNoType: number
priceTiers[].usageUnitLimitNoType: number
priceTiers[].usageUnitLimitPerBeneficiaryNoType: number
priceTiers[].currencyNoEnum-like validator generated by zodFromObj

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "priceTiers": [
    {
      "variation": "string",
      "minQuantity": 1
    }
  ]
}

Sample response

json
"<result>"